<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Неоплаченные счета');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 5) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Неоплаченные счета</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - <a href="billing.html"> Биллинг</a> - Неоплаченные счета</div>';
if (isset($_GET['ok'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ok'])]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` + ? WHERE `id` = ?", [$arr['rur'],$arr['user_id']]);
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [1,$arr['id']]);
if (user_inf($arr['user_id'], 'wm') == 0) {
DB::$dbs->query("UPDATE `blogger` SET `wm` = ? WHERE `id` = ?", [1,$arr['user_id']]);
}
$kom = 'Ваш баланс пополнен на [b]'.$arr['rur'].'p.[/b]';
jurnal($arr['user_id'],$kom,6);
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", array($arr['user_id'],$kom,time()));
header('location: ?');
}
if (isset($_GET['ot'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM pay WHERE id = ? LIMIT 1", [abs((int)$_GET['ot'])]);
DB::$dbs->query("UPDATE `pay` SET `type` = ? WHERE `id` = ?", [2,$arr['id']]);
header('location: ?');
$kom = 'Ваша заявка пополнение баланса на [b]'.$arr['prim'].'[/b] руб аннулирована!';
jurnal($arr['user_id'],$kom,6);
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM pay WHERE type = ?", [3]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM pay WHERE type = ? ORDER BY id DESC LIMIT $start,$num", [3]);
if ($sql -> rowCount() == 0) {
err('Неоплаченных счетов нет!');
} else {
while($a = $sql->fetch()) {
$arrtype = [0 => 'Не оплачен', 1 => 'Оплачен', 2 => 'Аннулирован', 3 => 'Ожидание проверки Администратора'];
$type = strtr($a['type'], $arrtype);
echo '<div class="row text_box"><i class="md-shuffle"></i>  Запрос от: '.Nick($a['user_id']).' ('.vr($a['time']).')<br/>Номер счета <b>'.$a['prim'].'</b> (сумма: <b>'.$a['rur'].'р.</b>) <br/>';
echo ($a['type'] != 1 ? '<b><a href="?ok='.$a['id'].'">[Подтвердить]</a></b>':NULL).' '.($a['type'] != 0 ? ' или <b><a href="?ot='.$a['id'].'">[Отменить]</a></b>':NULL);
echo '<br/>Статус: <font color="red"><b>'.$type.'</b></font></div>';
}
}
if ($k_page > 1) {
str('?',$k_page,$page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>